## STK STK |

## Functions

MbimMessage * | mbim_message_stk_pac_query_new ()
MbimMessage * | mbim_message_stk_pac_set_new ()
gboolean | mbim_message_stk_pac_response_parse ()
gboolean | mbim_message_stk_pac_notification_parse ()
MbimMessage * | mbim_message_stk_terminal_response_set_new ()
gboolean | mbim_message_stk_terminal_response_response_parse ()
MbimMessage * | mbim_message_stk_envelope_query_new ()
MbimMessage * | mbim_message_stk_envelope_set_new ()
gboolean | mbim_message_stk_envelope_response_parse ()

## Description

## Functions

### mbim_message_stk_pac_query_new ()

    MbimMessage *
    mbim_message_stk_pac_query_new (GError **error);

Create a new request for the 'Pac' query command in the 'STK' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_stk_pac_set_new ()

    MbimMessage *
    mbim_message_stk_pac_set_new (const guint8 *pac_host_control,
                                  GError **error);

Create a new request for the 'Pac' set command in the 'STK' service.

#### Parameters

pac_host_control | the 'PacHostControl' field, given as an array of 32 guint8 values. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_stk_pac_response_parse ()

    gboolean
    mbim_message_stk_pac_response_parse (const MbimMessage *message,
                                         const guint8 **pac_support,
                                         GError **error);

Parses and returns parameters of the 'Pac' response command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
pac_support | return location for an array of 256 guint8 values. Do not free the returned value, it is owned by `message` . |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_stk_pac_notification_parse ()

    gboolean
    mbim_message_stk_pac_notification_parse
                                   (const MbimMessage *message,
                                    MbimStkPacType *pac_type,
                                    guint32 *data_buffer_size,
                                    const guint8 **data_buffer,
                                    GError **error);

Parses and returns parameters of the 'Pac' notification command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
pac_type | return location for a MbimStkPacType, or `NULL` if the 'PacType' field is not needed. |
data_buffer_size | return location for the size of the data_buffer array. |
data_buffer | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_stk_terminal_response_set_new ()

    MbimMessage *
    mbim_message_stk_terminal_response_set_new
                                   (const guint32 response_size,
                                    const guint8 *response,
                                    GError **error);

Create a new request for the 'Terminal Response' set command in the 'STK' service.

#### Parameters

response_size | size of the response array. |
response | the 'Response' field, given as an array of guint8 values. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_stk_terminal_response_response_parse ()

    gboolean
    mbim_message_stk_terminal_response_response_parse
                                   (const MbimMessage *message,
                                    guint32 *result_data_size,
                                    const guint8 **result_data,
                                    guint32 *status_words,
                                    GError **error);

Parses and returns parameters of the 'Terminal Response' response command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
result_data_size | return location for the size of the result_data array. |
result_data | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . |
status_words | return location for a guint32, or `NULL` if the 'StatusWords' field is not needed. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_stk_envelope_query_new ()

    MbimMessage *
    mbim_message_stk_envelope_query_new (GError **error);

Create a new request for the 'Envelope' query command in the 'STK' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_stk_envelope_set_new ()

    MbimMessage *
    mbim_message_stk_envelope_set_new (const guint32 data_size,
                                       const guint8 *data,
                                       GError **error);

Create a new request for the 'Envelope' set command in the 'STK' service.

#### Parameters

data_size | size of the data array. |
data | the 'Data' field, given as an array of guint8 values. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_stk_envelope_response_parse ()

    gboolean
    mbim_message_stk_envelope_response_parse
                                   (const MbimMessage *message,
                                    const guint8 **envelope_support,
                                    GError **error);

Parses and returns parameters of the 'Envelope' response command in the 'STK' service.

#### Parameters

message | the MbimMessage. |
envelope_support | return location for an array of 32 guint8 values. Do not free the returned value, it is owned by `message` . |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.